Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Class ValidationTypeMismatchProblem

    java.lang.Object
      org.infinispan.schematic.internal.schema.ValidationProblem
          org.infinispan.schematic.internal.schema.ValidationTypeMismatchProblem

All Implemented Interfaces:
  SchemaLibrary.MismatchedTypeProblem, SchemaLibrary.Problem

    public final class ValidationTypeMismatchProblem

extends ValidationProblem
implements SchemaLibrary.MismatchedTypeProblem

Constructor Summary
`ValidationTypeMismatchProblem(SchemaLibrary.ProblemType type, Path path, Object actualValue, JsonSchema.Type actualType, JsonSchema.Type expectedType, Object convertedValue, String reason, Throwable cause)`

Method Summary
`JsonSchema.Type` | `getActualType()`
`Object` | `getActualValue()` Get the actual field value.
`Object` | `getConvertedValue()` Get the converted field value that would satisfy the type expected by the schema.
`JsonSchema.Type` | `getExpectedType()`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.schema.ValidationProblem
`getCause, getPath, getReason, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.infinispan.schematic.SchemaLibrary.Problem
`getCause, getPath, getReason, getType`

Constructor Detail

### ValidationTypeMismatchProblem

    public ValidationTypeMismatchProblem(SchemaLibrary.ProblemType type,
                                         Path path,
                                         Object actualValue,
                                         JsonSchema.Type actualType,
                                         JsonSchema.Type expectedType,
                                         Object convertedValue,
                                         String reason,
                                         Throwable cause)

Method Detail

### getActualValue

    public Object getActualValue()

  Description copied from interface: `SchemaLibrary.MismatchedTypeProblem`
  Get the actual field value.

  Specified by:
    `getActualValue` in interface `SchemaLibrary.MismatchedTypeProblem`
  Returns:
    the actual field value

### getConvertedValue

    public Object getConvertedValue()

  Description copied from interface: `SchemaLibrary.MismatchedTypeProblem`
  Get the converted field value that would satisfy the type expected by the schema.

  Specified by:
    `getConvertedValue` in interface `SchemaLibrary.MismatchedTypeProblem`
  Returns:
    the converted field value

### getActualType

    public JsonSchema.Type getActualType()

  Specified by:
    `getActualType` in interface `SchemaLibrary.MismatchedTypeProblem`

### getExpectedType

    public JsonSchema.Type getExpectedType()

  Specified by:
    `getExpectedType` in interface `SchemaLibrary.MismatchedTypeProblem`

### toString

    public String toString()

  Overrides:
    `toString` in class `ValidationProblem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.